## signing-party 0.4.0

=== Makefile ===
DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs
VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
TGZ=../signing-party_$(VERSION).orig.tar.gz

all:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir || exit 1 ; fi ; done

clean:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir clean || exit 1 ; fi ; done

dist:
	[ ! -f $(TGZ) ]
	tar cvz -f $(TGZ) --exclude .svn --exclude debian .

## signing-party 0.2-1

=== debian/changelog ===
signing-party (0.2-1) unstable; urgency=low

  * New release
  * Can now print multiple keys
  * Supports alternate paper sizes (Closes: #134975)
  * New script: gpg-mailkeys

 -- Simon Richter <sjr@debian.org>  Thu, 21 Feb 2002 22:24:09 +0100

signing-party (0.1-1) unstable; urgency=low

  * Initial Release (Closes: #117977).

 -- Simon Richter <sjr@debian.org>  Fri,  2 Nov 2001 19:33:42 +0100

=== debian/control ===
Source: signing-party
Section: misc
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: signing-party
Architecture: all
Depends: gnupg
Description: Scripts and docs useful for keysigning parties
 To improve the web of trust, so-called signing parties are held at various
 occasions

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/signing-party


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## signing-party 0.4.4

=== Makefile ===
DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist keylookup
VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
TGZ=../signing-party_$(VERSION).orig.tar.gz
TGZ_DIR=signing-party-$(VERSION)

all:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir || exit 1 ; fi ; done

clean:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir clean || exit 1 ; fi ; done

dist:
	[ ! -f $(TGZ) ]
	mkdir $(TGZ_DIR)
	for dir in $(DIRS) ; do cp -a $$dir $(TGZ_DIR); done
	cp -a README TODO Makefile $(TGZ_DIR)
	tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
	rm -rf $(TGZ_DIR)

## signing-party 0.4.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist keylookup
 VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
+DEBVERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: (.*)/')
 TGZ=../signing-party_$(VERSION).orig.tar.gz
 TGZ_DIR=signing-party-$(VERSION)
 
@@ -16,3 +17,15 @@
 	cp -a README TODO Makefile $(TGZ_DIR)
 	tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
 	rm -rf $(TGZ_DIR)
+
+tag-release:
+	if svn ls svn+ssh://svn.debian.org/svn/pgp-tools/tags/release-$(VERSION) >/dev/null 2>&1; then \
+		echo "Already exists." >&2; exit 1; \
+	fi
+	svn cp -m 'tagging release $(VERSION)' svn+ssh://svn.debian.org/svn/pgp-tools/trunk svn+ssh://svn.debian.org/svn/pgp-tools/tags/release-$(VERSION)
+
+tag-debian-version:
+	if svn ls svn+ssh://svn.debian.org/svn/pgp-tools/tags/debian-version-$(DEBVERSION) >/dev/null 2>&1; then \
+		echo "Already exists." >&2; exit 1; \
+	fi
+	svn cp -m 'tagging debian version $(DEBVERSION)' svn+ssh://svn.debian.org/svn/pgp-tools/trunk svn+ssh://svn.debian.org/svn/pgp-tools/tags/debian-version-$(DEBVERSION)

=== caff/Makefile ===
MAN = caff.1 pgp-clean.1 pgp-fixkey.1

all: $(MAN)

%.1: %
	pod2man $< > $@

clean:
	rm -f $(MAN)

=== gpglist/Makefile ===
MAN = gpglist.1

all: $(MAN)

%.1: %
	pod2man $< > $@

clean:
	rm -f $(MAN)

=== gpgsigs/Makefile ===
all: gpgsigs.1

gpgsigs.1: gpgsigs
	pod2man $< > $@

clean:
	rm -f gpgsigs.1

## signing-party 0.4.13

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	mkdir $(TGZ_DIR)
 	for dir in $(DIRS) ; do cp -a $$dir $(TGZ_DIR); done
 	cp -a README TODO Makefile $(TGZ_DIR)
-	tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
+	GZIP=--best tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
 	rm -rf $(TGZ_DIR)
 
 tag-release:

=== gpg-key2ps/Makefile ===
all: gpg-key2ps.1

gpg-key2ps.1: gpg-key2ps
	pod2man $< > $@

clean:
	rm -f gpg-key2ps.1

## signing-party 1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist keylookup
+DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist gpgparticipants keylookup \
+     sig2dot springgraph
 VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
 DEBVERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: (.*)/')
 TGZ=../signing-party_$(VERSION).orig.tar.gz
@@ -7,14 +8,18 @@
 all:
 	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir || exit 1 ; fi ; done
 
+install:
+	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir install || exit 1 ; fi ; done
+
 clean:
 	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir clean || exit 1 ; fi ; done
 
 dist:
+	[ -d debian ] && fakeroot debian/rules clean
 	[ ! -f $(TGZ) ]
 	mkdir $(TGZ_DIR)
 	for dir in $(DIRS) ; do cp -a $$dir $(TGZ_DIR); done
-	cp -a README TODO Makefile $(TGZ_DIR)
+	cp -a README Makefile $(TGZ_DIR)
 	GZIP=--best tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
 	rm -rf $(TGZ_DIR)

=== gpgsigs/Makefile ===
all: gpgsigs.1

gpgsigs.1: gpgsigs
	pod2man $< > $@

install:
	install -D gpgsigs $(DESTDIR)/usr/bin/gpgsigs
	install -D gpgsigs-eps-helper \
		$(DESTDIR)/usr/share/signing-party/gpgsigs-eps-helper
	install -d $(DESTDIR)/usr/share/doc/signing-party/gpgsigs/examples
	install -m644 gpgsigs-lt2k5*.txt \
		$(DESTDIR)/usr/share/doc/signing-party/gpgsigs/examples

clean:
	rm -f gpgsigs.1

## signing-party 1.1.4

=== keyanalyze/Makefile ===
LDLIBS=-lpthread
CFLAGS=-O2 -W -Wall -g

all: keyanalyze process_keys pgpring/pgpring

keyanalyze: keyanalyze.o
process_keys: process_keys.o

pgpring/pgpring:
	cd pgpring && CFLAGS="${CFLAGS}" ./configure && make pgpring

install:
	install pgpring/pgpring $(DESTDIR)/usr/bin
	install keyanalyze $(DESTDIR)/usr/bin
	install process_keys $(DESTDIR)/usr/bin

clean:
	-(cd pgpring && make distclean)
	-rm -f *.o core *~ keyanalyze process_keys
	-rm -f test.pre preprocess.keys keyanalyze.out all.keys
	-rm -rf output

=== debian/changelog ===
signing-party (1.1.4-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * caff:
    + Correct path of ~/.caffrc in informational messages (Closes: #582603).
    + Be more verbose on unexpected key ID (Closes: #645792).
  * gpg-key2ps:
    + Apply patch from Uwe Kleine-König to deal with latin1 characters
      (Closes: #596377).
  * Debian package:
    + Import dpkg build flags, plus small cleanups.

  [ Franck Joncourt ]
  * Debian package:
    + Switch to dpkg-source 3.0 (quilt) format.
      - Removed README.source which was needed only for documentation purpose.
      - Removed quilt framework in d.rules.
      - Removed BD on quilt.
      - Added source/format file.
    + Depend on "default-mta | mail-transport-agent" rather than the old
      "exim4 | mail-transport-agent".
    + Bumped Standards-Version up to 3.9.0 (no changes).
  * gpg-mailkeys:
    + Correct path of ~/.gpg-mailkeysrc and ~/.signature in manpage.
    + Add new environment variable SENDMAIL_ARGS to allow user to pass
      arguments to sendmail (closes: #599409).
  * caff:
    + Refactor import of own key and import for keys to sign from keyrings.
    + Also automatically import keys to sign from the user's normal gpg
      keyrings.
    + Use --no-auto-check-trustdb when importing keys from files or
      the user's normal gpg keyrings (closes: #539643).

  [ Peter Palfrader ]
  * caff:
    + manpage: Refer to all of /usr/share/doc/signing-party/caff/ and not
      just to /usr/share/doc/signing-party/caff/caffrc.sample
      (closes: #568052).
    + Fix horrible &function calls used because of broken prototypes.
    + Even if all keys to sign were found in the user's normal gpg
      keyrings we still need to import them (again) from any keyrings
      passed with --key-files - the keys there might be newer, containing
      new subkeys (for encryption), uids (for signing) or revocations.
    + Make importing of keys to be signed from the normal gpg optional
      (--keys-from-gnupg).
    + refactor copying of command line options into global config variable.
    + Create the mail files in ~/.caff/keys even if mail is not sent
      (closes: #590666).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 02 Nov 2011 18:17:25 +0100

signing-party (1.1.3-1) unstable; urgency=low

  [ Franck Joncourt ]
  * Debian package:
    + Updated my email address in d.control.
    + Added myself as contributor in d.copyright
  * keylookup:
    + Fixed typo noticed by lintian in manpage keylookup.1.
  * caff:
    + Set the Sender header with the email address which is used for the From
      header. This overrides the default value which was set by the
      MIME::Entity Perl module based on the local hostname. (Closes: #556782)

  [ Thijs Kinkhorst ]
  * Bumped Standards-Version up to 3.8.4 (no changes).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 03 Feb 2010 22:03:41 +0100

signing-party (1.1.2-1) unstable; urgency=low

  * gpgsigs: 
    + Added patch from Roland Rosenfeld to support RIPEMD160 checksum.
      (Closes: #533747).
    + Updated man page to mention support for SHA256 and RIPEMD160 checksum.
    + Made removal of nonexistent photos quiet by the use of the force option.
    + Updated generated tex file in latex mode so that it uses the grffile
      package. This allows pdflatex to process our tex file assuming the photos
      are previously converted to PDF. (Closes: #542478)
    + Added texlive-latex-recommended as a suggested package in debian/control.
      It contains the grffile latex package.
  * caff: Updated check for the local-user keyids.
    + Moved the current check to a new function get_local_user_keys().
    + Warned the user if a local-user keyid is not listed as a keyid in
      ~/.caffrc. (Closes: #540165).
  * gpgdir: New upstream release.
  * gpg-mailkeys:
    + The charset for the text of the message is deduced from the charset used
      by ~/.gpg-mailkeysrc and ~/.signature.
      The text message is encoded in quoted printable and thus it requires a
      new dependency on qprint in debian/control. (Closes: #545186)
    + Mentionned both the .gpg-mailkeysrc and .signature files in the manpage.
  * debian.control: added ${misc:Depends} as Depends for the keyanalyze
    package.
  * Bumped Standards-Version up to 3.8.3 (no changes).

 -- Franck Joncourt <franck.mail@dthconnex.com>  Thu, 24 Sep 2009 19:29:07 +0200

signing-party (1.1.1-1) unstable; urgency=low

  [ Christoph Berg ]
  * gpg-key2ps: assume gpg output to be in utf-8, instead of depending on the
    current locale.

  [ Franck Joncourt ]
  * caff:
    + Take the CONFIG{'mail'} variable from .caffrc into count.
      (Closes: #520387)
    + Update caff's manpage to mention a keyid specified with -u requires to
      be listed in the configuration file through the keyid variable.
      Add a note in caffrc.sample about using the -u option to select which
      keyid from the CONFIG{'keyid'} as to be used for signing. 
      (Closes: #482693)
  * keyanalyze/top50.pl: Fix the error message when a line from stdin does not
    match.
  * keyanalyze/analyze.sh:
    + Make the entries in the msd-sorted.txt file sorted.
    + Used msd.txt file as input for top50.pl. The current pattern in top50.pl
      does not match data from the msd-sorted.txt file.
    + Allowed the top1000 report to report the first 1000 ranks by passing
      *-n 1000* to top50.pl. Set to 50 by default.

  [ Thijs Kinkhorst ]
  * Make pool.sks-keyservers.net the default keyserver (closes: #527941).
  * Checked for policy 3.8.1, no changes necessary.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 12 Jun 2009 08:50:33 +0200

signing-party (1.1-2) unstable; urgency=low

  * Fix build error when only building the binary package
    by fixing the build-arch target (Closes: #516804).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 23 Feb 2009 21:37:20 +0100

signing-party (1.1-1) unstable; urgency=low

  [ Franck Joncourt ]
  * Imported gpgdir. (Closes: #498167)


=== debian/control ===
Source: signing-party
Section: misc
Priority: extra
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Uploaders: Simon Richter <sjr@debian.org>,
 Peter Palfrader <weasel@debian.org>,
 Christoph Berg <myon@debian.org>,
 Franck Joncourt <franck@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://pgp-tools.alioth.debian.org/
Vcs-Svn: svn://svn.debian.org/svn/pgp-tools/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pgp-tools

Package: signing-party
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, gnupg,
 libgnupg-interface-perl, libtext-template-perl, libmime-tools-perl,
 libmailtools-perl, libterm-readkey-perl, libclass-methodmaker-perl, qprint
Recommends: default-mta | mail-transport-agent, libpaper-utils,
 libgd-gd2-noxpm-perl | libgd-gd2-perl,
 libtext-iconv-perl | libintl-perl | recode, dialog | whiptail
# springraph
Suggests: imagemagick | graphicsmagick-imagemagick-compat, wipe, mutt,
 texlive-latex-recommended
# keyanalyze
Replaces: keyanalyze (<< 0.1)
Conflicts: keyanalyze (<< 0.1)
Provides: sig2dot, springgraph, keyanalyze
Description: Various OpenPGP related tools
 signing-party is a collection for all kinds of PGP/GnuPG related things,
 including tools for signing keys, keyring analysis, and party preparation.
 .
  * caff: CA - Fire and Forget signs and mails a key
  * pgp-clean: removes all non-self signatures from key
  * pgp-fixkey: removes broken packets from keys
  * gpg-mailkeys: simply mail out a signed key to its owner
  * gpg-key2ps: generate PostScript file with fingerprint paper strips
  * gpgdir: recursive directory encryption tool
  * gpglist: show who signed which of your UIDs
  * gpgsigs: annotates list of GnuPG keys with already done signatures
  * gpgparticipants: create list of party participants for the organiser
  * gpgwrap: a passphrase wrapper
  * keyanalyze: minimum signing distance (MSD) analysis on keyrings
  * keylookup: ncurses wrapper around gpg --search
  * sig2dot: converts a list of GnuPG signatures to a .dot file
  * springgraph: creates a graph from a .dot file

Package: keyanalyze
Section: utils
Priority: optional
Architecture: all
Depends: ${misc:Depends}, signing-party (>= 1.1)
Description: transitional package to pull in signing-party
 This is an empty package to pull in signing-party in which keyanalyze is
 now included. It can safely be removed.

## signing-party 1.1.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist gpgparticipants keylookup \
-     sig2dot springgraph
+DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist gpgparticipants keyanalyze keylookup \
+     sig2dot springgraph gpgwrap gpgdir
 VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
 DEBVERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: (.*)/')
 TGZ=../signing-party_$(VERSION).orig.tar.gz

=== gpgsigs/Makefile ===
all: gpgsigs.1

gpgsigs.1: gpgsigs
	pod2man $< > $@

install:
	install -D gpgsigs $(DESTDIR)/usr/bin/gpgsigs
	install -D gpgsigs-eps-helper \
		$(DESTDIR)/usr/share/signing-party/gpgsigs-eps-helper
	install -d $(DESTDIR)/usr/share/doc/signing-party/examples/gpgsigs
	install -m644 gpgsigs-lt2k5*.txt \
		$(DESTDIR)/usr/share/doc/signing-party/examples/gpgsigs

clean:
	rm -f gpgsigs.1

=== gpgwrap/src/Makefile ===
CC=${DIET} gcc -s -Wall -O2 -fomit-frame-pointer
STRIP=strip -R .note -R .comment
RM=rm -f
TARGET=../bin/gpgwrap

.PHONY: all clean

all: ${TARGET}

${TARGET}: gpgwrap.c
	${CC} -o ${TARGET} gpgwrap.c
	${STRIP} ${TARGET} 2>/dev/null || true

clean:
	${RM} ${TARGET}

=== debian/changelog ===
signing-party (1.1.5-1) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * caff: correct man page for keys-from-gnupg (closes: #652683)
  * caff: fix infinite loop after signing a key with newer gpg.
    Thanks Bernd Zeimetz for the patch. (closes: #722206, #735536)
  * Drop keyanalyze transitional package, present since 2009.

  [ Stefan Huber ]
  * gpgparticipants: Use more modern hashes than md5.

  [ Peter Palfrader ]
  * Add gpgparticipants-prefill by Stefan Huber.
  * Fix comment about keyids in caffrc.sample.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 30 Jan 2014 14:28:08 +0100

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,6 @@
 # springraph
 Suggests: imagemagick | graphicsmagick-imagemagick-compat, wipe, mutt,
  texlive-latex-recommended
-# keyanalyze
-Replaces: keyanalyze (<< 0.1)
-Conflicts: keyanalyze (<< 0.1)
 Provides: sig2dot, springgraph, keyanalyze
 Description: Various OpenPGP related tools
  signing-party is a collection for all kinds of PGP/GnuPG related things,
@@ -45,13 +42,3 @@
   * keylookup: ncurses wrapper around gpg --search
   * sig2dot: converts a list of GnuPG signatures to a .dot file
   * springgraph: creates a graph from a .dot file
-
-Package: keyanalyze
-Section: utils
-Priority: optional
-Architecture: all
-Depends: ${misc:Depends}, signing-party (>= 1.1)
-Description: transitional package to pull in signing-party
- This is an empty package to pull in signing-party in which keyanalyze is
- now included. It can safely be removed.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2)

INSTALL             = install
INSTALL_PROGRAM     = $(INSTALL)
INSTALL_DATA        = $(INSTALL) -m 644

GPGDIR_DIR          = gpgdir
GPGDIR_PROG         = gpgdir

GPGWRAP_DIR         = gpgwrap
GPGWRAP_PROG        = bin/gpgwrap

DESTDIR             = $(CURDIR)/debian/signing-party
DESTDIR_BIN         = $(DESTDIR)/usr/bin
DESTDIR_DOC         = $(DESTDIR)/usr/share/doc/signing-party

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(DESTDIR)
	dh_install
	dh_installman */*.1 */*/*.1
	$(INSTALL_DATA) caff/README \
			caff/README.gpg-agent \
			caff/README.many-keys \
			caff/README.v3-keys \
			caff/caffrc.sample \
			$(DESTDIR_DOC)/caff
	
	$(INSTALL_PROGRAM) $(GPGDIR_DIR)/$(GPGDIR_PROG) $(DESTDIR_BIN)		
	$(INSTALL_DATA) $(GPGDIR_DIR)/ChangeLog $(DESTDIR_DOC)/changelog.gpgdir
	
	$(INSTALL_PROGRAM) $(GPGWRAP_DIR)/$(GPGWRAP_PROG) $(DESTDIR_BIN)		
	$(INSTALL_DATA) $(GPGWRAP_DIR)/NEWS $(DESTDIR_DOC)/changelog.gpgwrap
	
	dh_lintian

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## signing-party 1.1.7

=== Makefile ===
LDLIBS=-lpthread
CFLAGS=-O2 -W -Wall -g

all: keyanalyze process_keys pgpring/pgpring

keyanalyze: keyanalyze.o
process_keys: process_keys.o

pgpring/pgpring:
	cd pgpring && touch AUTHORS ChangeLog INSTALL NEWS README && automake-1.11 --add-missing && automake-1.11
	cd pgpring && autoconf && CFLAGS="${CFLAGS}" ./configure
	make -C pgpring pgpring

install:
	install pgpring/pgpring $(DESTDIR)/usr/bin
	install keyanalyze $(DESTDIR)/usr/bin
	install process_keys $(DESTDIR)/usr/bin

clean:
	-(cd pgpring && make distclean)
	-rm -f *.o core *~ keyanalyze process_keys
	-rm -f test.pre preprocess.keys keyanalyze.out all.keys
	-rm -rf output

=== src/Makefile ===
CC=${DIET} gcc -s
CFLAGS:=-Wall -O2 -fomit-frame-pointer
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
STRIP=strip -R .note -R .comment
RM=rm -f
TARGET=../bin/gpgwrap

.PHONY: all clean

all: ${TARGET}

${TARGET}: gpgwrap.c
	[ -d $(dir ${TARGET}) ] || mkdir $(dir ${TARGET})
	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o ${TARGET} gpgwrap.c
	${STRIP} ${TARGET} 2>/dev/null || true

clean:
	${RM} ${TARGET}

## signing-party 1.1.8

=== debian/changelog ===
signing-party (1.1.8-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * caff:
    + Improve the documentation of gpgparticipants annotations.
    + When clean-exporting a key (aka pruning), don't ignore signatures just
      because their certification level in under 'min-cert-level' (which
      defaults to 2). (Closes: #751252)
  * gpgwrap:
    + Import the default Debian CFLAGS defined by dpkg-buildflags, which makes
      the Buildd Log Scanner stop emitting 'W-dpkg-buildflags-missing CFLAGS'.
  * keyanalyze:
    + Import the default Debian CFLAGS defined by dpkg-buildflags, which makes
      the Buildd Log Scanner stop emitting 'W-dpkg-buildflags-missing CFLAGS'.
  * sig2dot:
    + Apply -d on OpenPGP signatures and revocation certificates only.
      (LP: #393242)
  * springgraph:
    + Avoid 'illegal division by zero' errors when dealing with isolated nodes
      and/or degenerated cylinders. (LP: #1267981)
    + Add an option -f to set the (TrueType) font, style and size to use on
      labels.  This allows proper displaying of non-ASCII labels (provided the
      chosen font covers all the glyphs).
  * debian.control, debian.rules:
    + Update the config files before building the package. Patch from Breno
      Leitao. (Closes: #748977)

  [ Aaron Toponce ]
  * keyart: new script to dislay an ASCII art representation of OpenPGP key
    files.

 -- Guilhem Moulin <guilhem@guilhem.org>  Sat, 21 Jun 2014 17:32:13 +0200

signing-party (1.1.7-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * caff:
    + Give an example of 'mailer-send' with a custom envelope sender address.
    + Document a possible workflow in README.many-keys, when working with an
      annotated gpgparticipants(1) list.
    + Document a possible workflow for offline signing.
  * gpgparticipants:
    + Escape hyphen-minuses (-) in the documentation, as groff may interpret
      them as hyphens (U+2010).
    + Use gpg's --display-charset to force the output to be UTF-8 encoded, as
      the C.UTF-8 locale isn't installed on all platforms. Patch from Stefan
      Huber. (Closes: #747296).
    + Prefix gpg with LANGUAGE=en to force the output to be in English.
      (Other tools in signing-party parse this output.)
    + Prefix date(1) with LC_ALL=C to prevent its output to be localized.
  * gpgwrap:
    + Import the default Debian CPPFLAGS defined by dpkg-buildflags, which
      makes lintian stop emitting the 'hardening-no-fortify-functions' tag.
  * debian.control:
    + Update the Vcs-Svn and Vcs-Browser to canonical URIs.

  [ Peter Palfrader ]
  * gpgparticipants-prefill:
    + add --max-length and --prefix options.

 -- Guilhem Moulin <guilhem@guilhem.org>  Sun, 11 May 2014 14:49:43 +0200

signing-party (1.1.6-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * Avoid unnecessary forks and calls to the command shell.
  * caff:
    + Properly MIME-Q encode e-mail headers. (Closes: #659971)
    + Convert internationalized addresses to ASCII in e-mail envelopes and
      headers. (Closes: #637222)
    + Adapt patch from Julius Seemayer to reopen STDIN as a TTY.
      (Closes: #723024)
    + Allow local and owner keyids to be specified as fingerprints.
      (Closes: #635359)
    + Don't redirect gpg's STDERR when importing the keys. (Closes: #612178)
    + Create the mail files in ~/.caff/keys when mail=no. (Closes: #652686)
    + Add an option 'mail-cant-encrypt' for special treatment of keys
      without encryption capability. (Closes: #622790)
    + Adapt patch from oli and add an option 'gpg-sign-type' for custom
      signature types. (Closes: #679951)
    + Add an option 'also-lsign-in-gnupghome' to add non-exportable signatures
      on the user's GnuPGHOME. (Closes: #680136)
    + Accept gpgparticipants formatted content on STDIN. (Closes: #622560)
    + Prefer the keyserver defined in ~/.gnupg/gpg.conf if found.
      (Closes: #720413)
    + Abort upon gpg failure.
    + Create temporary directories in $TMPDIR. (Closes: #735384)
    + Significant performance boost when importing and pruning.
    + Adapt patch from Gaudenz Steinlin and add an option 'show-photos' to
      view photos before signing. (Closes: #594252)
    + Ignore expired / invalid / revoked UIDs when pruning and exporting.
  * gpgsigs:
    + Allow long keyids and key fingerprints (preferred). (Closes: #736963)
    + Wrap long UIDs (when used with --latex) and digest lines.
      (Closes: #738718)
    + Make --latex produce a {pdf,lua,Xe}LaTeX-compatible output.
      (Closes: #618781)
    + Allow any checksum algorithm supported by gpg.
    + Don't identify two UATs that have the same size (use the packet hash to
      distinguish them).
    + Mark expired or revoked signatures as such.
    + Display the correct size of UATs.
    + Don't use a helper --photo-viewer to store the UATs; instead use
      --attribute-file and split the output. (Closes: #693906)
    + Add a dependency to GnuPG::Interface to separate the status output from
      STDOUT.
  * gpg-mailkeys:
    + Apply patch from Stefan Huber to check for empty FROM. (Closes: #727000)
    + Adapt patch from Stefan Huber to make sendmail's path configurable.
      (Closes: #727001)
  * gpgparticipants:
    + Adapt patch from Tanguy Ortolo to output to STDOUT. (Closes: #694465)
    + Adapt patch from Tanguy Ortolo to output to accept any digest algorithm
      supported by gpg (default: SHA256,RIPEMD160). (Closes: #659990)
  * gpglist:
    + Handle time-limited signatures (don't list them).
    + Don't mark a signature as revoked if another signature was created after
      the revocation certificate (cf. RFC 4880 section 5.2.1, signature type
      0x30), or if the signature was non-revokable.
    + Don't identify two UATs that have the same size (use the packet hash to
      distinguish them).
  * pgpring:
    + Apply patch from Fabrizio Tarizzo to display the correct key length for
      DSA and Elgamal keys. (Closes: #602284)


=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: signing-party
 Section: misc
 Priority: extra
-Maintainer: Thijs Kinkhorst <thijs@debian.org>
+Maintainer: Guilhem Moulin <guilhem@guilhem.org>
 Uploaders: Simon Richter <sjr@debian.org>,
- Peter Palfrader <weasel@debian.org>,
- Christoph Berg <myon@debian.org>,
- Franck Joncourt <franck@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+ Franck Joncourt <franck@debian.org>,
+ Thijs Kinkhorst <thijs@debian.org>
+Build-Depends: debhelper (>= 7), python, autoconf, automake1.11, autotools-dev
+Build-Conflicts: autoconf2.13, automake1.4
+Standards-Version: 3.9.5
 Homepage: http://pgp-tools.alioth.debian.org/
-Vcs-Svn: svn://svn.debian.org/svn/pgp-tools/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pgp-tools
+Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pgp-tools
 
 Package: signing-party
 Architecture: any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, gnupg,
- libgnupg-interface-perl, libtext-template-perl, libmime-tools-perl,
- libmailtools-perl, libterm-readkey-perl, libclass-methodmaker-perl, qprint
+Depends: ${shlibs:Depends}, ${perl:Depends}, ${python:Depends},
+ ${misc:Depends}, gnupg, libgnupg-interface-perl, libtext-template-perl,
+ libmime-tools-perl, libmailtools-perl, libterm-readkey-perl,
+ libclass-methodmaker-perl, libnet-idn-encode-perl, qprint
 Recommends: default-mta | mail-transport-agent, libpaper-utils,
  libgd-gd2-noxpm-perl | libgd-gd2-perl,
  libtext-iconv-perl | libintl-perl | recode, dialog | whiptail
 # springraph
 Suggests: imagemagick | graphicsmagick-imagemagick-compat, wipe, mutt,
- texlive-latex-recommended
+ texlive-latex-recommended, texlive-xetex, fonts-droid
 Provides: sig2dot, springgraph, keyanalyze
 Description: Various OpenPGP related tools
  signing-party is a collection for all kinds of PGP/GnuPG related things,

## signing-party 1.1.9

=== debian/changelog ===
signing-party (1.1.9-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * debian.copyright:
    + Upgragrade to the new, machine-readable, format.
  * caff:
    + Fix regression introduced in r518 when removing the 'defined' in
      'defined @array'. (Closes: #756459)
  * gpg-key2ps:
    + Replace ',' with '.' in paperconf's output, which is localized while
      Postscript understands only '.' as decimal mark. (Closes: #758991)
  * gpgsigs:
    + Use Perl's "Encode" core module for charset conversion. Also, change the
      default 'from' charset to be the locale in use, as it was the case for
      'to'. (Use -f/-t to select alternative from/to charsets.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Mon, 25 Aug 2014 21:50:04 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
  libmime-tools-perl, libmailtools-perl, libterm-readkey-perl,
  libclass-methodmaker-perl, libnet-idn-encode-perl, qprint
 Recommends: default-mta | mail-transport-agent, libpaper-utils,
- libgd-gd2-noxpm-perl | libgd-gd2-perl,
- libtext-iconv-perl | libintl-perl | recode, dialog | whiptail
+ libgd-gd2-noxpm-perl | libgd-gd2-perl, dialog | whiptail
 # springraph
 Suggests: imagemagick | graphicsmagick-imagemagick-compat, wipe, mutt,
  texlive-latex-recommended, texlive-xetex, fonts-droid

## signing-party 1.1.10

=== Makefile ===
DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist gpgparticipants keyanalyze keylookup \
     sig2dot springgraph gpgwrap gpgdir keyart
VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
DEBVERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: (.*)/')
TGZ=../signing-party_$(VERSION).orig.tar.gz
TGZ_DIR=signing-party-$(VERSION)

all:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir || exit 1 ; fi ; done

install:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir install || exit 1 ; fi ; done

clean:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir clean || exit 1 ; fi ; done

dist:
	[ -d debian ] && fakeroot debian/rules clean
	[ ! -f $(TGZ) ]
	mkdir $(TGZ_DIR)
	for dir in $(DIRS) ; do cp -a $$dir $(TGZ_DIR); done
	cp -a README Makefile $(TGZ_DIR)
	GZIP=--best tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
	rm -rf $(TGZ_DIR)

tag-release:
	if svn ls svn+ssh://svn.debian.org/svn/pgp-tools/tags/release-$(VERSION) >/dev/null 2>&1; then \
		echo "Already exists." >&2; exit 1; \
	fi
	svn cp -m 'tagging release $(VERSION)' svn+ssh://svn.debian.org/svn/pgp-tools/trunk svn+ssh://svn.debian.org/svn/pgp-tools/tags/release-$(VERSION)

tag-debian-version:
	if svn ls svn+ssh://svn.debian.org/svn/pgp-tools/tags/debian-version-$(DEBVERSION) >/dev/null 2>&1; then \
		echo "Already exists." >&2; exit 1; \
	fi
	svn cp -m 'tagging debian version $(DEBVERSION)' svn+ssh://svn.debian.org/svn/pgp-tools/trunk svn+ssh://svn.debian.org/svn/pgp-tools/tags/debian-version-$(DEBVERSION)

=== debian/changelog ===
signing-party (1.1.10-3) unstable; urgency=medium

  [ Guilhem Moulin ]
  * caff:
    + Fix RCF 2822 violation: Never localize the "Date" header, regarless of
      the LC_ALL, LC_TIME and LANG in use.  Regression introduced in r698.
      (Closes: #767371)

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 07 Nov 2014 21:35:13 +0100

signing-party (1.1.10-1) unstable; urgency=low

  * debian.compat:
    + Upgrade packaging to debhelper level 9.
  * debian.control:
    + Upgrade Standards-Version to 3.9.6.
  * caff:
    + Add a "Date" email header. Patch from Clint Adams. (Closes: #760316)
    + Fix edge-case RFC 2822 violation in "From" and "Sender" email headers.
    + Use gpg's --textmode to normalize the line separators to the standard
      CRLF.
    + Unescape escaped characters in gpg --with-colons's output (eg, ':').
    + Fix encoding on non-UTF8 charsets.
    + Improve key ID validation.

 -- Guilhem Moulin <guilhem@guilhem.org>  Sat, 11 Oct 2014 22:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: extra
 Maintainer: Guilhem Moulin <guilhem@guilhem.org>
 Uploaders: Simon Richter <sjr@debian.org>,
- Franck Joncourt <franck@debian.org>,
- Thijs Kinkhorst <thijs@debian.org>
-Build-Depends: debhelper (>= 7), python, autoconf, automake1.11, autotools-dev
+ Franck Joncourt <franck@debian.org>
+Build-Depends: debhelper (>= 9), python, autoconf, automake1.11, autotools-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pgp-tools.alioth.debian.org/
 Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pgp-tools

## signing-party 1.1.12

=== debian/changelog ===
signing-party (1.1.12-1) unstable; urgency=low

  * debian.control:
    + Remove useless Build-Conflicts autoconf2.13 and automake1.4.
    + Suggest texlive-latex-extra due to gpg-key2latex using adjustbox.sty.
      (Closes: #769956)
    + Add dh-python to Build-Depends.
  * caff:
    + Don't consider KEYEXPIRED and SIGEXPIRED as unknown reply from gpg when
      downloading a key containing a revoked subkey or UID from a keyserver.
      (Closes: #769892)
    + Import the public part of *all* keys found in the secret keyring, not
      only those in @{$CONFIG{keyid}}.  Otherwise gpg(1) croaks with exit
      status 2 when there are secret keys without public part.
    + Add a configuration option 'mail-subject' to set the "Subject:" header
      field. (Closes: #771436)
  * keyart:
    + Replace shebang by /usr/bin/python.
  * gpg-key2latex:
    + Add a fixed 4 module wide quiet zone around QR codes as specified in the
      standard. (Closes: #772854)
    + Generate QR codes with (M)edium error correction level.
  * gpgsigs:
    + Add --no-auto-check-trustdb to the gpg options (ownertrust values are
      irrelevant here).
  * gpglist:
    + Add --no-auto-check-trustdb to the gpg options (ownertrust values are
      irrelevant here).
  * debian/changelog

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 02 Jan 2015 19:45:29 +0100

signing-party (1.1.11-1) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * Remove self from from uploaders.

  [ Guilhem Moulin ]
  * caff:
    + Fix RCF 2822 violation: Never localize the "Date" header, regarless of
      the LC_ALL, LC_TIME and LANG in use.  Regression introduced in r698.
      (Closes: #767371)
    + Regression fix: allow 8-digits keyid to be passed for annotation.
      (Closes: #768342)
  * gpg-key2latex: new script to generate a LaTeX file with fingerprint paper
    slips. (Closes: #316131, #412512)

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 14 Nov 2014 01:16:49 +0100

## signing-party 2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist gpgparticipants keyanalyze keylookup \
-     sig2dot springgraph gpgwrap gpgdir keyart
+     sig2dot springgraph gpgwrap gpgdir keyart gpg-key2latex
 VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
 DEBVERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: (.*)/')
 TGZ=../signing-party_$(VERSION).orig.tar.gz

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC=${DIET} gcc -s
-CFLAGS:=-Wall -O2 -fomit-frame-pointer
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -fomit-frame-pointer
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 STRIP=strip -R .note -R .comment

## signing-party 2.1

=== debian/changelog ===
signing-party (2.1-1) unstable; urgency=low

  * caff:
    + Only consider non-expired/invalid/revoked keys and UIDs when generating
      the caffrc.
    + Proper RFC 5322 validation of email addresses.  Currently gpg(1) only
      accepts a subset of RFC 5322-valid addresses (unless
      --allow-freeform-uid is set).  caff is now able to extract the email
      address from any UID of the form "addr-spec" or "[phrase] <addr-spec>"
      with a RFC 5322-valid addr-spec.
    + Prefix the signature by "-- \n" in the email template.
    + Automatically mkdir ~/.caff if it doesn't exit.  Regression introduced
      in r776.  (Closes: #786933)

 -- Guilhem Moulin <guilhem@guilhem.org>  Sat, 08 Aug 2015 16:34:16 +0200

signing-party (2.0-1) unstable; urgency=low

  * caff:
    + Fix broken compatibility with GnuPG 2.1 (2.1.3 and later only; earlier
      2.1.x versions remain unsuported), due to --secret-keyring being ignored
      by the most recent gpg(1).  On those we automaticalyl symlink the
      S.gpg-agent (unless 'no-sign') and S.dirmngr (unless 'no-download')
      sockets to avoid spawning new agents in caff's GNUPGHOME.  This require
      an extra call to gpg(1) at the beginning to determine the version.
      (Closes: #771857)
    + Default $CONFIG{'local-user'} to $CONFIG{'keyid'} rather than importing
      the public part of *all* keys found in the secret keyring.  (When not
      pruning the good keys with -u, gpg(1) croaks with exit status 2 when
      there are secret keys without public part.)
    + Print {error,warnings,notice,info} lines on STDERR.
    + Add a --debug flag to enable debug messages.
    + Deprecate $CONFIG{'gpg-sign'} and $CONFIG{'gpg-delsig'}.
    + Never redirect STDERR.  Send the logger output to /dev/null instead
      (unless in debug mode).  (Closes: #775702)
    + Send attachements and non RFC 2822 UIDs to *all* signed addresses, not
      only those for which the UID is exported.  This is useful when the
      signee has some already signed RFC 2822 UIDs and a freshly added
      attribute, for instance.
    + Use Term::ANSIColor to produce fancy colored output.  Can be configured
      by setting $CONFIG{colors} to a suitable hash; in particular setting
      $CONFIG{colors} = {} reverts to the old uncolored output.
    + Prune keys with import-{clean,minimal} not export-{clean,minimal}.
    + Fix $CONFIG{'also-lsign-in-gnupghome'}: local signatures are directly
      imported from caff's GNUPGHOME to our own; in auto-lsign'ing mode, lsign
      UID for which we have an exportable signature (preserving the signer and
      cert level).
    + Pass the 'keyserver-options' specified in ~/.gnupg/gpg.conf to
      $CONFIG{keyserver} when it is left unset.  (Closes: #780836)
  * gpgsigs:
    + Add a legend with the different signature types.
    + Mark local signatures as 'L' (formerly they were marked as 'S'), and
      expiring -- but not expired -- signatures as 'x'.
  * caff, pgp-clean, pgp-fixkey, gpg-key2latex, gpg-key2ps, gpg-mailkeys,
    gpgdir, gpgparticipants, gpgsigs, keyart, keylookup:
    + Add the possibility to choose the gpg binary via the "GNUPGBIN"
      environment variable.  (Default: "gpg".)

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 14 Apr 2015 20:02:36 +0200

## signing-party 2.2

=== debian/changelog ===
signing-party (2.2-1) unstable; urgency=low

  * caff:
    + "gpgparticipants"-formated input: accept key blocks not starting with a
      number such as
            [x] Fingerprint(s) OK        [x] ID OK
      This makes caff able to process the Debconf 15 KSP file.  (Closes:
      #797714)
  * gpglist:
    + Don't prune revoked UIDs with a subsequent selfsig.  (Closes: #796664)
    + Add an option '--show-revoked' to show revoked UIDs.  Thanks Tomasz
      Buchert for the patch.
    + Mention in the manpage that the path to the gpg binary is taken from the
      GNUPGBIN environment variable, if defined.

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 15 Dec 2015 03:10:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Guilhem Moulin <guilhem@guilhem.org>
 Uploaders: Simon Richter <sjr@debian.org>,
  Franck Joncourt <franck@debian.org>
-Build-Depends: debhelper (>= 9), python, autoconf, automake1.11, autotools-dev
-Build-Conflicts: autoconf2.13, automake1.4
+Build-Depends: debhelper (>= 9), python, dh-python, autoconf, automake1.11, autotools-dev
 Standards-Version: 3.9.6
 Homepage: http://pgp-tools.alioth.debian.org/
 Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
@@ -19,9 +18,9 @@
  libclass-methodmaker-perl, libnet-idn-encode-perl, qprint
 Recommends: default-mta | mail-transport-agent, libpaper-utils,
  libgd-gd2-noxpm-perl | libgd-gd2-perl, dialog | whiptail
-# springraph
 Suggests: imagemagick | graphicsmagick-imagemagick-compat, wipe, mutt,
- texlive-latex-recommended, texlive-xetex, fonts-droid
+ texlive-latex-recommended, texlive-latex-extra, texlive-xetex, fonts-droid,
+ texlive-font-utils, qrencode
 Provides: sig2dot, springgraph, keyanalyze
 Description: Various OpenPGP related tools
  signing-party is a collection for all kinds of PGP/GnuPG related things,
@@ -31,7 +30,7 @@
   * pgp-clean: removes all non-self signatures from key
   * pgp-fixkey: removes broken packets from keys
   * gpg-mailkeys: simply mail out a signed key to its owner
-  * gpg-key2ps: generate PostScript file with fingerprint paper strips
+  * gpg-key2ps: generate PostScript file with fingerprint paper slips
   * gpgdir: recursive directory encryption tool
   * gpglist: show who signed which of your UIDs
   * gpgsigs: annotates list of GnuPG keys with already done signatures
@@ -41,3 +40,5 @@
   * keylookup: ncurses wrapper around gpg --search
   * sig2dot: converts a list of GnuPG signatures to a .dot file
   * springgraph: creates a graph from a .dot file
+  * keyart: creates a random ASCII art of a PGP key file
+  * gpg-key2latex: generate LaTeX file with fingerprint paper slips

=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,14 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	$(MAKE)
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autotools-dev_restoreconfig
 	$(MAKE) clean
 	rm -f build-stamp configure-stamp
 	dh_clean
@@ -78,6 +80,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
+	dh_python2
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## signing-party 2.3

=== debian/changelog ===
signing-party (2.3-1) unstable; urgency=low

  * debian.control:
    + Replace "Suggests: fonts-droid" by "Suggests: fonts-noto-mono,
      fonts-noto-cjk".  (Closes: #804689)
    + Replace "http://" with "https://" in the Homepage and Vcs-Browser
      fields.
    + Bump Standards-Version to 3.9.8 (no changes necessary).
  * debian.rules:
    + Add 'hardening=+pie' to DEB_BUILD_MAINT_OPTIONS to compile ELF
      executables as PIEs.
  * caff:
    + Replace a hash slice with a reverse map for compatibility with Perl
      older than 5.20.  Patch from Gregor Jasny.  (Closes: #813469)
    + Deprecate $CONFIG{'keyserver'}.  Users of GnuPG <2.1 should put the
      option in caff's GnuPG configuration file (~/.caff/gnupghome/gpg.conf by
      default) instead.  GnuPG 2.1 delegates network access to another
      process (dirmngr), hence for 2.1 the keyserver should be set in
      ~/.gnupg/dirmngr.conf instead.
    + When caff's own GnuPG configuration file (~/.caff/gnupghome/gpg.conf)
      does not exist, automatically generate it with the GnuPG options found
      in ~/.gnup/gpg.conf that are known to be safe (and useful) for caff.
      This includes "keyserver", "keyserver-options", "ask-cert-level" and
      "cert-digest-algo" (among many others).  Hence in the absence of its own
      GnuPG configuration file caff now uses the certification options from
      the user's GnuPG configuration file.
  * gpgsigs, gpg-key2latex:
    + Use "Noto Mono" as default font when compiling with XeLaTeX or LuaLaTeX;
      and "Noto Sans Mono CJK" as CJK font when compiling with XeLaTeX.
  * gpg-key2latex:
    + Don't show capabilities of the entire key when --show-subkeys is set.
      (Instead, the capabilities of the master key and each subkey are shown
      independently in uppercase.)
    + Enclose (sub)key capabilities in square brackets, to match GnuPG 2.1.11+'s
      output.
    + For ECDH, ECDSA, EDDSA (sub)keys, show the curve name instead of the
      public key algorithm and length.  This matches GnuPG 2.1.x's output.
    + The master key's fingerprint was incorrectly set to the last unusable
      (eg, expired or revoked) subkey fingerprint, if any.  (Closes: #815721)
  * keyart:
    + Print the public key algorithm and length as shown by GnuPG 2.1 (e.g.,
      "rsa4096" instead of "4096R"); for ECDH, ECDSA and EDDSA keys, show the
      curve name instead.
  * keyanalyze:
    + Remove autogenerated files from the repository, so that they do not
      clutter it, and do not generated useless diffs.  Patch from Guillem
      Jover.
    + Switch to use system libmd; this removes the embedded SHA-1 code.
      Patch from Guillem Jover.  (Closes: #816851)

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 26 Apr 2016 00:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Guilhem Moulin <guilhem@guilhem.org>
 Uploaders: Simon Richter <sjr@debian.org>,
  Franck Joncourt <franck@debian.org>
-Build-Depends: debhelper (>= 9), python, dh-python, autoconf, automake1.11, autotools-dev
-Standards-Version: 3.9.6
-Homepage: http://pgp-tools.alioth.debian.org/
+Build-Depends: debhelper (>= 9), python, dh-python,
+ autoconf, automake, autotools-dev,
+ libmd-dev
+Standards-Version: 3.9.8
+Homepage: https://pgp-tools.alioth.debian.org/
 Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pgp-tools
+Vcs-Browser: https://anonscm.debian.org/viewvc/pgp-tools
 
 Package: signing-party
 Architecture: any
@@ -19,8 +21,8 @@
 Recommends: default-mta | mail-transport-agent, libpaper-utils,
  libgd-gd2-noxpm-perl | libgd-gd2-perl, dialog | whiptail
 Suggests: imagemagick | graphicsmagick-imagemagick-compat, wipe, mutt,
- texlive-latex-recommended, texlive-latex-extra, texlive-xetex, fonts-droid,
- texlive-font-utils, qrencode
+ texlive-latex-recommended, texlive-latex-extra, texlive-xetex, fonts-noto-mono,
+ fonts-noto-cjk, texlive-font-utils, qrencode
 Provides: sig2dot, springgraph, keyanalyze
 Description: Various OpenPGP related tools
  signing-party is a collection for all kinds of PGP/GnuPG related things,
